Beneficial Owners

Create Beneficial Owner

post
/entities/{legalEntityId}/beneficial-owners

Create new beneficial owner

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
legalEntityIdstring · uuidRequired

Legal Entity ID

Body
firstNamestring · min: 1 · max: 255Required

All first names of the person according to the identification document

Pattern: ^\S+( \S+)*$
lastNamestring · min: 1 · max: 255Required

Natural person last name

birthDaystring · dateRequired
birthPlacestring · min: 1 · max: 255Required

Location

birthCountrystring · enumRequired

Country code in ISO 3166-1 alpha-2 standard

Possible values:
isUsNationalitybooleanRequired

FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.).

uboRelationshipstring · enumRequired

This enum is used to specify the type of relationship a person has with a company, particularly in terms of shareholding or control.The possible values are:

  • DIRECTLY_HOLDING_25 - a person directly holds shares in the capital or voting rights of a company.
  • INDIRECTLY_HOLDING_25- a person indirectly holds shares in the capital or voting rights through intermediary entities or trust arrangements.
  • DOMINANT_INFLUENCE_OVER_SHARE_CAPITAL - a person exercises control over the company in any other way, such as through voting agreements, special rights, or trust relationships, even without (or with only minor) direct or indirect shareholdings.
Possible values:
sharenumber · max: 100Required
votingRightsnumber · max: 100Required
fatcaControllingPersonbooleanOptional

Indication of whether this person is a controlling person under FATCA.
TRUE = if fatcaClassification = PASSIVE_NFE

Responses
chevron-right
200

OK

application/json
beneficialOwnerIdstring · uuidRead-onlyRequired

Unique beneficial owner identification number in UUID format

post
/entities/{legalEntityId}/beneficial-owners

Get Beneficial Owners

get
/entities/{legalEntityId}/beneficial-owners

Get beneficial owners

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
legalEntityIdstring · uuidRequired

Legal Entity ID

Query parameters
cursorstringOptional

String value used for pagination

limitinteger · min: 1Required

Maximum number of items to return

Default: 20
beneficialOwnerStatusstring · enumOptional

Beneficial owner status Filter

Possible values:
startDatestring · date-timeOptional

Beginning of the range

endDatestring · date-timeOptional

End of the range

Responses
chevron-right
200

OK

application/json
get
/entities/{legalEntityId}/beneficial-owners

Get Beneficial Owner

get
/entities/beneficial-owners/{beneficialOwnerId}

Get beneficial owner

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
beneficialOwnerIdstring · uuidRequired

Beneficial Owner ID

Responses
chevron-right
200

OK

application/json
firstNamestring · min: 1 · max: 255Required

All first names of the person according to the identification document

Pattern: ^\S+( \S+)*$
lastNamestring · min: 1 · max: 255Required

Natural person last name

birthDaystring · dateRequired
birthPlacestring · min: 1 · max: 255Required

Location

birthCountrystring · enumRequired

Country code in ISO 3166-1 alpha-2 standard

Possible values:
isUsNationalitybooleanRequired

FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.).

uboRelationshipstring · enumOptional

This enum is used to specify the type of relationship a person has with a company, particularly in terms of shareholding or control.The possible values are:

  • DIRECTLY_HOLDING_25 - a person directly holds shares in the capital or voting rights of a company.
  • INDIRECTLY_HOLDING_25- a person indirectly holds shares in the capital or voting rights through intermediary entities or trust arrangements.
  • DOMINANT_INFLUENCE_OVER_SHARE_CAPITAL - a person exercises control over the company in any other way, such as through voting agreements, special rights, or trust relationships, even without (or with only minor) direct or indirect shareholdings.
Possible values:
sharenumber · max: 100Required
votingRightsnumber · max: 100Required
fatcaControllingPersonbooleanOptional

Indication of whether this person is a controlling person under FATCA.
TRUE = if fatcaClassification = PASSIVE_NFE

deathDaystring · dateOptional
beneficialOwnerIdstring · uuidRead-onlyRequired
globalIdstring · min: 12 · max: 12Required

Global ID of the beneficial owner

statusstring · enumRequiredPossible values:
boTypestring · enumRequired

Indication of the type of beneficial owner:
In the context of legal entity customers:
REAL_UBO_25 = person who holds more than 25% of the company shares
FICTIVE_UBO = Legal Representative, if no person exists who holds more than 25% of the company shares

Possible values:
isPepbooleanOptional

Indication of whether the person is a politically exposed person.

isPepRelatedbooleanOptional

Indication of whether the person is directly related to a politically exposed person.

isSanctionbooleanOptional

Indication of whether the person is on sanction list.

riskLevelstring · enumOptionalPossible values:
createdOnstring · date-timeRead-onlyRequired
modifiedOnstring · date-timeRead-onlyRequired
verifiedOnstring · date-timeRead-onlyOptional

The date on which the Beneficial Owner was verified

get
/entities/beneficial-owners/{beneficialOwnerId}

Update Beneficial Owner

patch
/entities/beneficial-owners/{beneficialOwnerId}

Update beneficial owner

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
beneficialOwnerIdstring · uuidRequired

Beneficial Owner ID

Header parameters
Requestor-IDstring · uuidRequired

Unique requestor identification in UUID format

Body
firstNamestring · min: 1 · max: 255Optional

All first names of the person according to the identification document

Pattern: ^\S+( \S+)*$
lastNamestring · min: 1 · max: 255Optional

Natural person last name

birthDaystring · dateOptional
birthPlacestring · min: 1 · max: 255Optional

Location

birthCountrystring · enumOptional

Country code in ISO 3166-1 alpha-2 standard

Possible values:
isUsNationalitybooleanOptional

FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.).

uboRelationshipstring · enumOptional

This enum is used to specify the type of relationship a person has with a company, particularly in terms of shareholding or control.The possible values are:

  • DIRECTLY_HOLDING_25 - a person directly holds shares in the capital or voting rights of a company.
  • INDIRECTLY_HOLDING_25- a person indirectly holds shares in the capital or voting rights through intermediary entities or trust arrangements.
  • DOMINANT_INFLUENCE_OVER_SHARE_CAPITAL - a person exercises control over the company in any other way, such as through voting agreements, special rights, or trust relationships, even without (or with only minor) direct or indirect shareholdings.
Possible values:
sharenumber · max: 100Optional
votingRightsnumber · max: 100Optional
fatcaControllingPersonbooleanOptional

Indication of whether this person is a controlling person under FATCA.
TRUE = if fatcaClassification = PASSIVE_NFE

Responses
patch
/entities/beneficial-owners/{beneficialOwnerId}

No content

Last updated